<?php
/*
 * Plugin Name: shipmendo - Lite
 * Plugin URI: https://wordpress.org/plugins/shipmendo-lite/
 * Description: Share your shipping process with your customers with shipmendo - Lite. Supported shipment gateways: Aras, MNG, PTT, Surat, UPS ,Yurtici
 * Version: 1.2
 * Author: grilabs
 * Author URI: https://www.gri.net
 * Text Domain: shipmendo-lite
 * Domain Path: /lang/
 * Requires at least: 5.5
 * Requires PHP: 7.0
 * License: GPL v2 or later
 */

defined( 'ABSPATH' ) || exit;


function gl_get_shipmendo_plugin_assets( $suffix = '' ) {
	$base = plugin_dir_url( __FILE__ );

	return $base . 'assets' . $suffix;
}

function load_shipmendo_lite_plugin() {
	if ( ! class_exists( 'WooCommerce' ) ) {
		function shipmendo_woocommerce_need_error() {
			$class   = 'notice notice-error';
			$message = sprintf( __( '<strong>shipmendo</strong> must use with <a href="%s">WooCommerce</a>!', 'shipmendo-lite' ), admin_url( "plugin-install.php?s=woocommerce&tab=search&type=term" ) );
			printf( '<div class="%1$s"><p>%2$s</p></div>', esc_attr( $class ), $message );
		}

		add_action( 'admin_notices', 'shipmendo_woocommerce_need_error' );

		return false;
	}

	$plugin_rel_path = basename( dirname( __FILE__ ) ) . '/lang';
	load_plugin_textdomain( 'shipmendo-lite', false, $plugin_rel_path );

	require __DIR__ . '/ShipmendoLite.php';
	require __DIR__ . '/lib/ShipmentCompany.php';
	require __DIR__ . '/inc/functions.php';

	new ShipmendoLite();
}

add_action( 'plugins_loaded', 'load_shipmendo_lite_plugin' );